<?php 

/**
 * @file
 * Chart displaying some details about signatories
 */

// create the plugin
$plugin = array(
  'single' => TRUE,  
  'title' => t('Petition Page: Signatory Frequency'),  
  'description' => t('Displays some metrics around the frequency signatories participate in petition campaigns.'),
  'category' => t('CRM Core Petition'), 
  'admin info' => 'crm_core_petition_sig_chart_info', 
	'edit form' => 'crm_core_petition_sig_chart_form', 
  'render callback' => 'crm_core_petition_sig_chart', 
  'defaults' => array( 
    'text' => '',
  ),
  'all contexts' => TRUE, 
);

/**
 * admin info
 */
function crm_core_petition_sig_chart_info($subtype, $conf, $contexts){
  $block = new stdClass;
  $block->title = t('Petition Page: Signatory Frequency');
  $block->content = t('Displays some metrics around the frequency signatories participate in petition campaigns.');
  return $block;
}

/**
 * Settings form
 */
function crm_core_petition_sig_chart_form ($form, &$form_state){
  $conf = $form_state['conf'];
  return $form;
}
/**
 * submit handler for settings form
 */
function crm_core_petition_sig_chart_form_submit ($form, &$form_state){  
}

/**
 * Render callback
 */
function crm_core_petition_sig_chart($subtype, $conf, $panel_args, $context = NULL){

  $content = '';
  
  // return everything
  $block = new stdClass();
  $block->title = t('Frequency');
  $block->content = $content;
  
  return $block;    
  
}








